oracle.jdbc

## Interface OracleOpaque

All Known Implementing Classes:
  OPAQUE

    public interface OracleOpaque

This interface defines methods for Oracle specific Opaque.

Opaque is an Oracle proprietary type and is opaque to the user.

Since:
  11.2.0.3

### Method Summary

All Methods Instance Methods Abstract Methods
`OracleTypeMetaData` `getOracleMetaData()` Oracle extension.
`String` `getSQLTypeName()` Implements the Struct interface function Retrieves the SQL type name of the SQL structured type that this `Struct` object represents.
`Object` `getValue()` Return the Opaque value.

### Method Detail

#### getOracleMetaData

    OracleTypeMetaData getOracleMetaData()
                                  throws SQLException

Oracle extension. Get the SQL OPAQUE type metadata for the type of this object.

Returns:
  metadata for this object's type
Throws:
  `SQLException` - if an error occurs

#### getSQLTypeName

    String getSQLTypeName()
                   throws SQLException

Implements the Struct interface function Retrieves the SQL type name of the SQL structured type that this `Struct` object represents.

Returns:
  the fully-qualified type name of the SQL structured type for which this `Struct` object is the generic representation
Throws:
  `SQLException` - if a database access error occurs

#### getValue

    Object getValue()
             throws SQLException

Return the Opaque value.

Returns:
  a Java object that represents the opaque value
Throws:
  `SQLException`

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.